<ion-header>
</ion-header>

<ion-content>
  <div class="logoBar">
    <img src="assets/icon-credentials-employment-pass.svg">
    <span>ProximaXCity ID</span>
    <ul>
      <li (click)="checkResult('hard')">Hard Verification</li>
      <li (click)="checkResult('light')">Light Verification</li>
      <li *ngIf="!step1" (click)="twoFA()">Active 2FA</li>
    </ul>
  </div>

  <div class="entertainment">
    <div class="enterTextCover">
      <div class="enterText">
        <h3>Gain your ProximaXCity ID credential</h3>
        <!-- <p><ion-icon name="checkmark" mode="md"></ion-icon> Don't waste time waiting in the line at the DMV</p>
        <p><ion-icon name="checkmark" mode="md"></ion-icon> Avoid finding and printing forms</p>
        <p><ion-icon name="checkmark" mode="md"></ion-icon> Skips the fines for expried registrastions</p> -->
      </div>
    </div>
    
    <div class="formCover">
      <!--------------------------- Step 1 ------------------------------>
      <div class="form" *ngIf="step1">
        <div class="formHeader">Step 1.. Start by Log in</div>
        <div class="formContent">
          <div class="qrCode" *ngIf="showImg" (click) = "deeplink('login')">
            <img [src]="qrImg" >
          </div>
          
          <p class="deeplink">Click on QR code to open your SiriusID App</p>
          <p class="scanText">Scan the QR Code with SiriusID App</p>

          <div class="reload" (click)="refresh()">
            Refresh
          </div>
        </div>
      </div>

      <!--------------------------- Step 2 ------------------------------>
      <div class="form" *ngIf="step2">
        <div class="formHeader">Step 2. Identification Form</div>
        <div class="formContent">
          <fieldset class="inlineField">
            <legend> First Name </legend>
            <ion-input [(ngModel)]="fname"></ion-input>
          </fieldset>
    
          <fieldset class="inlineField rightField">
            <legend> Last Name </legend>
            <ion-input [(ngModel)]="lname"></ion-input>
          </fieldset>
          
          <fieldset>
            <legend> Date of Birth </legend>
            <input [(ngModel)]="birth" type="date" data-date="" data-date-format="DD MMMM YYYY">
            <!-- <date-input date="{{date}}" timezone="[[timezone]]"></date-input> -->
          </fieldset>
    
          <fieldset>
            <legend> Address </legend>
            <ion-input [(ngModel)]="address"></ion-input>
          </fieldset>
    
          <fieldset>
            <legend> Phone Number </legend>
            <ion-input [(ngModel)]="phoneNumber"></ion-input>
          </fieldset>
    
          <fieldset>
            <legend> Email </legend>
            <ion-input [(ngModel)]="email"></ion-input>
          </fieldset>
    
          <fieldset class="inlineField">
            <legend> Mother's Name </legend>
            <ion-input [(ngModel)]="motherName"></ion-input>
          </fieldset>
    
          <fieldset class="inlineField rightField">
            <legend> Father's Name </legend>
            <ion-input [(ngModel)]="fatherName"></ion-input>
          </fieldset>
          <!-- <div class="upload" >
          <ion-input [(ngModel)]="photonew" type='file' (change)="previewFile($event)" id='input'>Upload Photo: </ion-input>
          <img src="" id='upload' width="200">
          </div> -->
          
          <div class="checkBox">
            <ion-checkbox class="checkbox-square" [(ngModel)]="aggree"></ion-checkbox>
            <p>I confirm that all the above information is true and complete.</p>
          </div>
          
          <div *ngIf="warning" style="color: red">
            <p>*Fill out the form above to create an account</p>
          </div>
          <div class="btnContinue" (click)="continue()">
            <ion-button>CONTINUE</ion-button>
          </div>
        </div> 
      </div>

      <!--------------------------- Step 3 ------------------------------>
      <!-- <div class="form" *ngIf="step3">
        <div class="formHeader">Step 3/4. Confirm by QR Code</div>
        <div class="formContent">
          <div class="qrCode" *ngIf="qrCredential" (click) = "deeplink('credential')">
            <img [src]="qrCredential">
          </div>
          
          <p class="deeplink">Click on QR code to open your SiriusID App</p>
          <p class="scanText">Scan the QR Code with SiriusID App</p>
          <div *ngIf="warning2" style="color: red">
            <p>*Network is not stable!</p>
          </div>
          <div class="btnContinue" (click)="finish()">
            <ion-button>CONTINUE</ion-button>
          </div>
        </div>
      </div> -->

      <!--------------------------- Step 4 ------------------------------>
      <div class="form" *ngIf="step4">
        <div class="formHeader">Step 3. Registration process is completed</div>
        <div class="formContent">
          <div class="finishImg">
            <img src="assets/finish.jpg">
          </div>
        
          <!-- <p class="scanText" style="margin-top: 50px;">View your result in SiriusID App</p>
          <p class="scanText">You can check your Application in <span (click)="checkResult('hard')">Hard Verification</span> or <span (click)="checkResult('light')">Light Verification</span></p>
         -->
          <p class="scanText2">Your credential will be put in pending list.</p>
          <p class="scanText2">Thank you very much</p>
        </div>
      </div>

      <!--------------------------- Step 5 ------------------------------>
      <div class="form" *ngIf="step5">
        <div class="formHeader">Step 2. Your credential is approved</div>
        <div class="formContent">
          <div class="qrCode" *ngIf="qrCredential" (click) = "deeplink('credential')">
            <img [src]="qrCredential">
          </div>
          
          <p class="deeplink">Click on QR code to open your SiriusID App</p>
          <p class="scanText">Scan the QR Code with SiriusID App</p>
          <div *ngIf="warning2" style="color: red">
            <p>*Network is not stable!</p>
          </div>
          <div class="btnContinue" (click)="finish2()">
            <ion-button>CONTINUE</ion-button>
          </div>
        </div>
      </div>

      <!--------------------------- Step 6 ------------------------------>
      <div class="form" *ngIf="step6">
        <div class="formHeader">Step 2. Your credential is pending</div>
        <div class="formContent">
          <p class="scanText2">Your credential is pending</p>
          <p class="scanText2">Please comeback later! Thank you</p>
        </div>
      </div>

      <!--------------------------- Step 7 ------------------------------>
      <div class="form" *ngIf="step7">
        <div class="formHeader">Step 3. Registration process is completed</div>
        <div class="formContent">
          <div class="finishImg">
            <img src="assets/finish.jpg">
          </div>
        
          <p class="scanText" style="margin-top: 50px;">View your result in SiriusID App</p>
          <p class="scanText">You can check your Application in <span (click)="checkResult('hard')">Hard Verification</span> or <span (click)="checkResult('light')">Light Verification</span></p>
        </div>
      </div>

      <!--------------------------- Step 1_1 2FA ------------------------------>
      <div class="form" *ngIf="step1_1">
        <div class="formHeader">Step 1_1. Type 2FA Code</div>
        <div class="formContent">
          <fieldset>
            <legend> 2FA Code </legend>
            <ion-input [(ngModel)]="token"></ion-input>
          </fieldset>
          
          <div *ngIf="warning3" style="color: red">
            <p>{{warning3}}</p>
          </div>
          <div class="btnContinue" (click)="handle2FA()">
            <ion-button>Confirm</ion-button>
          </div>

        </div>
      </div>
    </div>
  </div>

  <div *ngIf="loading" class="shadowLoader">
    <div class="boxLoader">
      <div class="loader"></div>
    </div>
  </div>
</ion-content>
